Package twisted :: Package python :: Module delay :: Class Looping

[show private | hide private]
[frames | no frames]

## Class Looping

Known Subclasses:
  `Steps`

Base class for looping callbacks.

Method Summary
| ``__init__`(self, ticks, func, delayed)` Looping(ticks,func,delayed)
| ``loop`(self, *args, **kw)` call my function with the given arguments, then reschedule me
| `rebuildUpdate(self, updater)`
| ``stop`(self)` Externally stop a looped event from recurring.

Class Variable Summary
`int` | `stopped`

Method Details

### __init__(self, ticks, func, delayed)
(Constructor)

Looping(ticks,func,delayed)

This initializer is only called internally.

### loop(self, *args, **kw)

call my function with the given arguments, then reschedule me

### stop(self)

Externally stop a looped event from recurring.

Class Variable Details

### stopped

  Type:
    `int`
  Value:

        0

Generated by Epydoc 1.1 on Sat Feb 15 21:18:04 2003 | http://epydoc.sf.net